[FFmpeg-devel] [PATCH 2/2] tests/fate-run: do not attempt to parse tiny_psnrs output if it failed
Michael Niedermayer
michaelni at gmx.at
Thu Apr 23 04:43:10 CEST 2015
This avoids confusing syntax errors with awk later
Signed-off-by: Michael Niedermayer <michaelni at gmx.at>
---
tests/fate-run.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 1a8ff94..7f129d7 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -43,7 +43,7 @@ compare(){
}
do_tiny_psnr(){
- psnr=$(tests/tiny_psnr "$1" "$2" $cmp_unit $cmp_shift 0)
+ psnr=$(tests/tiny_psnr "$1" "$2" $cmp_unit $cmp_shift 0) || return 1
val=$(expr "$psnr" : ".*$3: *\([0-9.]*\)")
size1=$(expr "$psnr" : '.*bytes: *\([0-9]*\)')
size2=$(expr "$psnr" : '.*bytes:[ 0-9]*/ *\([0-9]*\)')
--
1.7.9.5
More information about the ffmpeg-devel
mailing list